## opencpn-plugin-ocpndebugger 1.4

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Pavel Kalian
## Copyright:   
## License:     wxWidgets License
##---------------------------------------------------------------------------

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(ocpndebugger_pi)

SET(PACKAGE_NAME ocpndebugger_pi)
SET(VERBOSE_NAME OpenCPNDebugger)
SET(TITLE_NAME OpenCPNDebugger)
SET(CPACK_PACKAGE_CONTACT "Pavel Kalian")

SET(NAME_SUFFIX "ov50")

SET(VERSION_MAJOR "1")
SET(VERSION_MINOR "4")

#SET(CMAKE_BUILD_TYPE Debug)

SET(CMAKE_MACOSX_RPATH "ON")

set (CMAKE_CXX_STANDARD 11)

OPTION(OCPNDEBUGGER_USE_SVG "Use SVG graphics" ON)

INCLUDE("cmake/PluginConfigure.cmake")

SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -s")
SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -s")

IF(OCPNDEBUGGER_USE_SVG)
  ADD_DEFINITIONS(-DOCPNDEBUGGER_USE_SVG)
ENDIF(OCPNDEBUGGER_USE_SVG)

SET(SRC_OCPNDEBUGGER
            src/ocpndebugger_pi.h
            src/ocpndebugger_pi.cpp
            src/icons.h
            src/icons.cpp
            src/ocpndebuggergui.h
            src/ocpndebuggergui.cpp
            src/ocpndebuggergui_impl.cpp
            src/ocpndebuggergui_impl.h
        )

ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_OCPNDEBUGGER})

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-ocpndebugger (1.4-0~201903050228~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 07:03:56 -0700

opencpn-plugin-ocpndebugger (1.4-0~201903050228~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Converted to quilt.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 06:49:55 -0700

opencpn-plugin-ocpndebugger (1.4-0~201903050228~ubuntu19.04.1) disco; urgency=low

  * Auto build.

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 05 Mar 2019 07:46:45 +0000

opencpn-plugin-ocpndebugger (1.4-1) unstable; urgency=medium

  * Initial release for O5 using CI

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 10 Feb 2019 09:01:17 -0300

=== debian/control ===
Source: opencpn-plugin-ocpndebugger
Section: misc
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 9), cmake, gettext, git-core, gpsd, gpsd-clients, libgps-dev, wx-common, libwxgtk3.0-dev, libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers, libbz2-dev, libtinyxml-dev, libportaudio2, portaudio19-dev, libcurl4-openssl-dev, libexpat1-dev, libcairo2-dev, libarchive-dev, liblzma-dev, libexif-dev, libelf-dev, libsqlite3-dev
Standards-Version: 4.1.2
Homepage: https://github.com/nohal/ocpndebugger_pi
#Vcs-Git: https://anonscm.debian.org/git/collab-maint/opencpn-plugin-ocpndebugger.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/opencpn-plugin-ocpndebugger.git

Package: opencpn-plugin-ocpndebugger
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, opencpn (>= 4.99.0)
Description: Launcher plugin for OpenCPN
 Allows runinng external commands and automatization of some
 keyboard actions to be performed using large buttons.
